Support » Plugin: Participants Database » PHP 7.2

  • Our host provider updated to 7.2 recently, and it is causing deprecation issues with all our plugins and making it so that navigating to agsgerbils.org brings you a blank page (typing in the https:// manually worksaround this for now).

    The specific error we get that relates to PDB is this:

    Warning: Cannot modify header information – headers already sent by (output started at /home/agsgerbi/public_html/wp-content/plugins/advanced-classifieds-and-directory-pro/widgets/search/class-acadp-widget-search.php:187) in /home/agsgerbi/public_html/wp-content/plugins/participants-database/vendor/wp-session-manager/class-wp-session.php on line 142

    The plug-in has been deactivated at time of writing, I am not sure when it will be up again.

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author xnau webdesign

    (@xnau)

    First, make sure you are using the latest version of Participants Database.

    Really (and I hate to say this) the cause of the problem is the other plugin…looks like some kind of search widget, it’s outputting to the screen too early which is interfering with other plugins. It may be that that other plugin is outputting an error that you are not seeing. Anyway, I’d suggest deactivating that other plugin and see how it goes. Check with the developer about compatibility with php 7.2

    Replying to this as a person working on the same website. I reached out to our host provider today and we found that the caching plugin Hummingbird was affecting the errors. We have since removed that plugin for now.

    I checked and we do have the latest version of Participants Database. Now on the website we are consistently receiving this error at the top of every page on the website:

    Warning: Cannot modify header information - headers already sent by (output started at /home/agsgerbi/public_html/index.php:1) in /home/agsgerbi/public_html/wp-content/plugins/participants-database/vendor/wp-session-manager/class-wp-session.php on line 142

    Not sure what this means. Can you help us resolve this issue? Thanks!

    Plugin Author xnau webdesign

    (@xnau)

    What that means is that on that script, at the very top, is some character (probably space) before the <?php tag. Take that out, so that the <?php tag is the the first thing in the script.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP 7.2’ is closed to new replies.